from setuptools import setup, find_packages

from setuptools import setup

with open("README.md", 'r') as f:
    long_description = f.read()

package_description = 'A framework for learning to control'
package_description += ' via uncertainty-aware neural stochastic differential equations representation'
setup(
   name='sde4mbrl',
   version='1.0.0',
   description=package_description,
   license="GNU 3.0",
   long_description=long_description,
   packages= find_packages(),
   install_requires=['numpy', 'scipy', 'matplotlib', 'tqdm', 'jupyterlab', 'ipympl',
                     'jax>=0.3.4', 'jaxlib', 'dm-haiku', 'optax', 'tikzplotlib'],
   tests_require=['pytest', 'pytest-cov'],
   python_requires=">=3.7"
)
# 'jax>=0.2.28', 'jaxlib', 'dm-haiku', 'optax'
# python_requires=">=3.7"
# 'jupyterlab', 'ipympl'
# 'jax>=0.2.28', 'jaxlib', 'dm-haiku', 'PolyakSGD', 'ArmijoSGD', 'pandas'